/* 難易度別 色指定 */
.difficulty {
    font-weight: bold;
}
.difficulty-lt {
    color: #4d5;
}
.difficulty-ch {
    color: #ec4;
}
.difficulty-ex {
    color: #d45;
}
.difficulty-in {
    color: #4be;
}

.chart-link, .chart-link:link, .chart-link:visited, .chart-link:hover, .chart-link:active {
    color: #444;
}

/*.table-chart-info {
}*/

.table-chart-info th {
    background: #eee;
    width: 160px;
    font-weight: normal;
    text-align: center;
}

.table-ranking {
    background: #fff;
}

.table-ranking th {
    background: #343a40;
    color: #fff;
}

.table-search {
    background: #fff;
}

.table-search th {
    background: #343a40;
    color: #fff;
}

.table-search td a {
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
}

.table-search td a:link,
.table-search td a:visited,
.table-search td a:hover,
.table-search td a:active {
    color: #444;
    text-decoration: none;
}

.table-thread-title {
    font-weight: bold;
}

.table-no-border {
    padding-top: 0 !important;
    border: none !important;
}

.chart-title, .search-title {
    margin: 4px 10px 20px 10px;
}

h1.top-title {
    margin-bottom: 20px;
}

.top-bar {
    margin-bottom: 10px;
}

.top-bar .btn {
    margin-right: 8px;
    margin-bottom: 4px;
}

.page-seek {
    margin-bottom: 10px;
}

.thread-title {
    background: rgb(52, 58, 64);
    color: #fff;
    padding: 8px 16px;
    margin-bottom: 20px;
}

.thread-title h1 {
    font-size: 28px;
}

.thread-title a:link,
.thread-title a:visited,
.thread-title a:hover,
.thread-title a:active {
    color: #fff;
}

.post-container .post-header {
    padding: 8px 16px;
}

.post-container .post-header a:link,
.post-container .post-header a:visited,
.post-container .post-header a:hover,
.post-container .post-header a:active {
    color: #fff !important;
}

.post-container .post-body {
    padding: 12px 16px;
}

.post-header {
    line-height: 32px;
}

.rules {
    font-size: 15px;
}

ul.rules {
    margin-bottom: 0;
}

.rules ul {
    margin-top: 8px;
    margin-bottom: 10px;
}

.rules li {
    margin-bottom: 4px;
}

.chart-title h1, .search-title {
    font-size: 28px;
    font-weight: bold;
}

.chart-title h1 {
    display: inline;
}

.chart-title-level {
    font-size: 20px;
    vertical-align: -1px;
}

.card-header a {
    color: #ccc !important;
}

.card-header small {
    margin-top: 4px;
}

.card-body ul {
    padding-left: 20px;
}

.card-form {
    background: rgb(242, 242, 242);
}

.post-form table {
    table-layout: fixed;
}

.post-form td {
    min-width: 140px;
}

.post-form textarea {
    width: 100%;
    height: 180px;
}

.post-form input,
.post-form select {
    width: 100%;
}

.post-form input,
.post-form select,
.post-form textarea {
    font-size: 14px;
}

.post-form .btn {
    width:100%;
    max-width:300px;
}

td.post-form-label {
    background: #555;
    color: #fff;
    max-width: 280px;
}

a.btn:link,
a.btn:visited,
a.btn:hover,
a.btn:active {
    color: #fff;
}

/* エラーメッセージ用 */
.alert p {
    margin-bottom: 2px;
}

/* 埋め込みのはみ出し防止用 */
iframe {
    max-width:100%;
}